/*
 * Copyright (C) 1997 Red Hat Software, Inc.
 *	Cristian Gafton <gafton@redhat.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/* 	$Id: util.c,v 1.3 1998/03/09 19:33:11 gafton Exp $	 */
/* 	$Log: util.c,v $
/* 	Revision 1.3  1998/03/09 19:33:11  gafton
/* 	Added wmaker support.
/* 		 */

/*
 * WM config helper functions
 */

#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <ctype.h>

#include "wmconfig.h"

static char ret_str[BUFSIZ];

/*
 * Replaces the white space with underscores...
 */
char *single_string(const char *group_string)
{
    char *p;
    
    if (group_string == NULL)
       return NULL;

    memset(ret_str, 0, BUFSIZ);    
    strncpy(ret_str, group_string, BUFSIZ-1);
    p = ret_str;
    while (*p) {
	if (isspace(*p))
	    *p = '_';
	p++;
    }
    return strdup(ret_str);
}

